Name:		qubes-utils
Version:	4.0.35
Release:	1%{?dist}
Summary:	Common Linux files for Qubes Dom0 and VM
Source0:    %{name}-%{version}.tar.gz

Group:		Qubes
License:	GPL
URL:		http://www.qubes-os.org

Requires:	udev
Requires:	%{name}-libs
Requires:	ImageMagick
Requires:	python%{python3_pkgversion}-qubesimgconverter
%{?systemd_requires}
BuildRequires:  systemd
BuildRequires:  qubes-libvchan-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python3-rpm-macros
# for meminfo-writer
BuildRequires:  xen-devel
BuildRequires:	gcc

%description
Common Linux files for Qubes Dom0 and VM

%package -n python%{python3_pkgversion}-qubesimgconverter
Summary:    Python package qubesimgconverter
Requires:   python%{python3_pkgversion}
Requires:   python%{python3_pkgversion}-cairo
Requires:   python%{python3_pkgversion}-pillow
Requires:   python%{python3_pkgversion}-numpy

%description -n python%{python3_pkgversion}-qubesimgconverter
Python package qubesimgconverter

%package devel
Summary:	Development headers for qubes-utils
Release:	1%{?dist}
Requires:	%{name}-libs

%description devel
Development header and files for qubes-utils

%package libs
Summary: Qubes utils libraries
Release:	1%{?dist}

%description libs
Libraries for qubes-utils

%prep
%setup -q

%build
make all BACKEND_VMM=xen PYTHON=%{__python3}

%install
make install DESTDIR=%{buildroot} PYTHON=%{__python3}

%post
# dom0
%systemd_post qubes-meminfo-writer-dom0.service
# VM
%systemd_post qubes-meminfo-writer.service

%preun
%systemd_preun qubes-meminfo-writer-dom0.service
%systemd_preun qubes-meminfo-writer.service

%postun
%systemd_postun_with_restart qubes-meminfo-writer-dom0.service
%systemd_postun_with_restart qubes-meminfo-writer.service

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/lib/udev/rules.d/*-qubes-*.rules
/usr/lib/qubes/udev-*
%{_sbindir}/meminfo-writer
%{_unitdir}/qubes-meminfo-writer.service
%{_unitdir}/qubes-meminfo-writer-dom0.service

%files -n python%{python3_pkgversion}-qubesimgconverter
%{python3_sitelib}/qubesimgconverter/__init__.py
%{python3_sitelib}/qubesimgconverter/imggen.py
%{python3_sitelib}/qubesimgconverter/test.py
%{python3_sitelib}/qubesimgconverter/test_integ.py
%{python3_sitelib}/qubesimgconverter-%{version}-py?.[0-9]*.egg-info
%{python3_sitelib}/qubesimgconverter/__pycache__

%files libs
%{_libdir}/libqrexec-utils.so.2
%{_libdir}/libqubes-rpc-filecopy.so.2

%files devel
%defattr(-,root,root,-)
/usr/include/libqrexec-utils.h
/usr/include/libqubes-rpc-filecopy.h
/usr/include/qrexec.h
%{_libdir}/libqrexec-utils.so
%{_libdir}/libqubes-rpc-filecopy.so

%changelog
* Mon Jan 10 2022 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-linux-utils.git

* Mon Jan 10 2022 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0761461
- version 4.0.35

* Mon Jan 10 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 65b6af3
- spec: allow matching python3.10 in %files

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e1f6b1
- version 4.0.34

* Wed Jun 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ed67a7
- makefile: specify PYTHON at build stage too

* Thu May 13 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9b7bfab
- version 4.0.33

* Thu May 13 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3949f95
- kernel-vm-support: add make as BR

* Thu May 13 2021 Shawn Anastasio <shawn@anastas.io> - ac2ccf5
- Makefile: remove broken 32-bit host check

* Wed Mar 17 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 44dfa9d
- version 4.0.32

* Wed Mar 17 2021 Paweł Marczewski <pawel@invisiblethingslab.com> - 889d427
- Drop Python 2 support

* Tue Mar 16 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d0d93bb
- Revert "debian: drop python2 on bullseye"

* Fri Jan 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 45d9d6b
- Validate remote filename before displaying it

* Fri Jan 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 6ca99d5
- Modernize systemd unit files

* Fri Jan 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - c4a9fef
- Meminfo writer comes before user logins

* Fri Jan 08 2021 Demi Marie Obenour <athena@invisiblethingslab.com> - 02063ae
- Fix some links to more modern versions

* Fri Jan 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bbe4938
- debian: update compat

* Fri Jan 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d4d3519
- debian: update control

* Fri Jan 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e33b810
- ci: add coverage

* Fri Jan 08 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d6089bb
- gitlab-ci: add custom jobs

* Fri Jan 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - db6ca35
- Add .gitlab-ci.yml

* Sun Oct 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 97271ba
- version 4.0.31

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fea53c2
- makefile: use 'python2' explicitly when needed, instead of just 'python'

* Thu Oct 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ac71a2
- debian: don't fail package install on missing /var/lib/qubes

* Thu Oct 22 2020 Rusty Bird <rustybird@net-c.com> - 24642e4
- imgconverter: make output reproducible by omitting timestamps

* Thu Oct 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f3d01f3
- dracut: remove useless use of basename

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4219f12
- version 4.0.30

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 78945b3
- travis: update config

* Sun Jul 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b3cc13a
- debian: drop python2 on bullseye

* Thu Jul 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a1ee1e
- version 4.0.29

* Tue Jun 30 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 99d87c2
- debian: add Provides: python3-qubesimgconverter

* Tue Mar 17 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b8bdbcf
- version 4.0.28

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 28cc271
- qubesimgconverter: include Python 3 version in Debian package

* Mon Mar 16 2020 Paweł Marczewski <pawel@invisiblethingslab.com> - 1706694
- Image.get_through_dvm: support Python 3

* Wed Mar 11 2020 Ilpo Järvinen <ilpo.jarvinen@cs.helsinki.fi> - 46b7ae7
- Get virt_to_phys from header

* Wed Mar 11 2020 Ilpo Järvinen <ilpo.jarvinen@cs.helsinki.fi> - 1a18aa9
- Use proc_ops instead of file_operations on 5.6 kernels

* Fri Jan 31 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - facdf4d
- version 4.0.27

* Sun Dec 29 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ffdc3e5
- debian: fix dependencies of qubes-kernel-vm-support pkg

* Sat Dec 28 2019 Patrick Schleizer <adrelanos@riseup.net> - 2716a39
- qubes-kernel-vm-support.postinst run update-grub

* Sat Dec 28 2019 Patrick Schleizer <adrelanos@riseup.net> - 3ed9157
- qubes-kernel-vm-support.preinst create folder /boot/grub

* Sat Dec 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ea43382
- travis: update python versions

* Sat Dec 28 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 4068ac8
- travis: switch to bionic

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c2beb17
- version 4.0.26

* Sat Sep 28 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - ac13973
- partition full volatile for non-COW setups too

* Sat Sep 28 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 484f67a
- Disable BLS config style in grub

* Fri Sep 20 2019 xaki23 <tvguho-knxv23-tct.e23f2f1b@hashmail.org> - 4a28ab6
- align volatile swap partition to 1Mb instead of 512b

* Tue Sep 17 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ff7f658
- rpm: update python2 deps

* Sat Aug 17 2019 M. Vefa Bicakci <m.v.b@runbox.com> - 5a83961
- u2mfn: Make compatible with kernel versions >= 5.3.y

* Mon Jun 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 425f7f4
- version 4.0.25

* Mon Jun 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6501b26
- initrd: mount / rw for the overlayfs setup time

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 042b671
- version 4.0.24

* Thu Jun 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9c6c825
- initramfs: use overlayfs for /lib/modules, if available

